Contacts nach Update auf 3.5.0 nicht mehr abrufbar

Hallo,

nach einem Update auf Contacts 3.5.0 kann ich Kontakte nicht mehr aufrufen. Ich bekomme im Log den folgende Ausgabe:

[index] Error: OCP\AppFramework\QueryException: Could not resolve socialApiService! Class socialApiService does not exist at <<closure>>

 0. /var/www/nextcloud/lib/private/AppFramework/Utility/SimpleContainer.php line 115
    OC\AppFramework\Utility\SimpleContainer->resolve("socialApiService")
 1. /var/www/nextcloud/lib/private/ServerContainer.php line 150
    OC\AppFramework\Utility\SimpleContainer->query("socialApiService", true)
 2. /var/www/nextcloud/lib/private/AppFramework/DependencyInjection/DIContainer.php line 389
    OC\ServerContainer->query("socialApiService", true)
 3. /var/www/nextcloud/lib/private/AppFramework/Utility/SimpleContainer.php line 77
    OC\AppFramework\DependencyInjection\DIContainer->query("socialApiService")
 4. /var/www/nextcloud/lib/private/AppFramework/Utility/SimpleContainer.php line 100
    OC\AppFramework\Utility\SimpleContainer->buildClass(ReflectionClass  ... "})
 5. /var/www/nextcloud/lib/private/AppFramework/Utility/SimpleContainer.php line 115
    OC\AppFramework\Utility\SimpleContainer->resolve("OCA\\Contacts\\ ... r")
 6. /var/www/nextcloud/lib/private/AppFramework/DependencyInjection/DIContainer.php line 415
    OC\AppFramework\Utility\SimpleContainer->query("OCA\\Contacts\\ ... r")
 7. /var/www/nextcloud/lib/private/AppFramework/DependencyInjection/DIContainer.php line 386
    OC\AppFramework\DependencyInjection\DIContainer->queryNoFallback("OCA\\Contacts\\ ... r")
 8. /var/www/nextcloud/lib/private/AppFramework/App.php line 112
    OC\AppFramework\DependencyInjection\DIContainer->query("OCA\\Contacts\\ ... r")
 9. /var/www/nextcloud/lib/private/AppFramework/Routing/RouteActionHandler.php line 47
    OC\AppFramework\App::main("OCA\\Contacts\\ ... r", "index", OC\AppFramework\ ... {}, {_route: "contacts.page.index"})
10. <<closure>>
    OC\AppFramework\Routing\RouteActionHandler->__invoke({_route: "contacts.page.index"})
11. /var/www/nextcloud/lib/private/Route/Router.php line 299
    call_user_func(OC\AppFramework\ ... {}, {_route: "contacts.page.index"})
12. /var/www/nextcloud/lib/base.php line 1011
    OC\Route\Router->match("/apps/contacts/")
13. /var/www/nextcloud/index.php line 38
    OC::handleRequest()

GET /apps/contacts/
from 212.237.171.39 by _____ at 2021-03-17T08:13:20+01:00

Nextcloud Version 18.0.14 mit PHP 7.2

Viele GrĂŒĂŸe
Joshua

Die Fehlermeldung “Could not resolve socialApiService” deutet fĂŒr mich darauf hin, dass Du entweder eine benötigte App nicht installiert hast oder die aktuelle App-Version eine generelle UnvertrĂ€glichkeit mit Nextcloud 18 enthĂ€lt.

Leider hat Nextcloud 18 bereits den Status “End-of-Life” erreicht, sodass Du diesbezĂŒglich wohl kaum noch UnterstĂŒtzung erhalten wirst. Du solltest zeitnah auf eine unterstĂŒtze Nextcloud-Version 19/20/21 wechseln

Ich gehe davon aus, dass die App danach auch wieder funktionieren wird - zumindest wurde dieser Fehler bis dato bei den unterstĂŒtzten Version nicht gemeldet.

OK, hatte sowas schon befĂŒrchtet. Leider bekomme ich das Update des Servers auf PHP 7.4 etc. nicht gebacken. Werde daher den Server wohl neu Aufsetzen mĂŒssen.

Prinzipiell sollte zumindest Nextcloud 19 noch PHP 7.2 unterstĂŒtzen. DarĂŒber hinaus sollten sich alle PHP-Probleme ohne eine Neuinstallation lösen lassen. Ich empfehle die Suchfunktion des Forums zu nutzen um diesbezĂŒgliche Antworten zu finden :wink:

Praktisch gleiches Problem, mit Englisch erreichen wir mehr Leute, daher bitte dort weiterverfolgen:

Nachdem Upgrade auf die 19er Version, war das Problem behoben. Ich habe die 19er nach hinten geschoben, da beim ersten Upgrade etwas schief gelaufen ist. Jetzt ging es allerdings einwandfrei.

Vielen Dank!!!

Als nĂ€chstes solltest Du dann die PHP-Aktualisierung angehen, da die v7.2 spĂ€testens ab Nextcloud v21 nicht mehr unterstĂŒtzt werden wird :wink:

Ich weiß, das Problem ist, dass jeder Versuch den Server auf Ubuntu 20.04 LTS zu bringen, mir bisher anschließend einen nicht funktionierende Nextcloud beschert hat, weil da einfach zu viel nachkonfiguriert werden muss. Wenn es da zu irgendwo eine gut Anleitung gĂ€be, wĂ€re ich dafĂŒr sehr dankbar!

Die von Dir beschriebenen Probleme haben erst einmal nichts mit Nextcloud zu tun und betreffen einzig die PHP-Systemkomponenten. Wie man eine Umstellung auf PHP 7.4 durchfĂŒhrt wird z.B. hier beschrieben: